//
//  MainGame.h
//  NewSide
//
//  Created by Bruno Lorandi Pagno on 29/9/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#include <SDL/SDL.h>
#include <stdbool.h>

class SDLMainGame {
public:
    /* Function declarations; */
    SDLMainGame();
	~SDLMainGame();
	int mainLoop();
    void handle_keystate(Uint8 *keystate);
    void run_game_loop(void);
    void quit_the_game(void);
    void cap_fps(Uint32 start_ticks, Uint32 end_ticks);
    void clear_screen(void);
    void update_screen(void);
    int blit_surface(SDL_Surface *src, SDL_Surface *dest,
                     Sint16 x, Sint16 y);
    SDL_Surface *image_load_from_file(const char *path, int apply_colorkey);
    /* Variable declarations; */
    int x;
    int y;
    int speed;
};